Subject: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 07:26:39 -0700

> From: Eli Zaretskii Sent: Friday, October 17, 2008 1:15 AM
> > From: "Drew Adams" Date: Thu, 16 Oct 2008 14:22:45 -0700
> > Library vline.el can be read fine in Emacs 22, but Emacs 23
> > raises an error, saying Invalid read syntax: "?".
>
> I cannot reproduce this, perhaps because when I saved the vline.el you
> attached, I selected a wrong encoding.  Please visit the file with
> "M-x find-file-literally" and tell me what 8-bit bytes you see on the
> line that begins with "((memq char '(?\t".

Not sure what you mean, but I see this (pasting):
((memq char '(?\t ?　))

which looks like this (typing this in):
((memq char '(?\t ?\343\200\200))

oops - as soon as I hit C-s to save what I'd typed so far, Outlook changed what
it looks like (I'm using plain text with encoding auto-select (the only
choice)). I'll type it again - this is what it looks like in Emacs:

((memq char '(?\t ?\343\200\200))

There, that time it didn't change - that's what I see: three octal sequences, of
343, 200, 200.

> Then visit that file
> normally with Emacs 22 and tell what non-ASCII character(s) you see on
> that line (use "C-u C-x =" to describe those characters).

The text looks like ((memq char '(?\t ?  )), and C-u C-x = on the char after the
second ? gives this:

  character: 　 (53409, #o150241, #xd0a1, U+3000)
    charset: japanese-jisx0208 (JISX0208.1983/1990 Japanese Kanji: ISO-IR-87.)
 code point: #x21 #x21
     syntax: _ 	which means: symbol
   category: j:Japanese |:While filling, we can break a line at this character.
buffer code: #x92 #xA1 #xA1
  file code: #xE3 #x80 #x80 (encoded by coding system mule-utf-8-unix)
    display: by this font (glyph code)
     -outline-Arial Unicode
MS-normal-r-normal-normal-13-97-96-96-p-*-jisx0208-sjis (#x3000)

There are text properties here:
  fontified            t

If I do the same thing in Emacs 23 (with find-file-literally), I see this:

        character:   (227, #o343, #xe3)
preferred charset: unicode (Unicode (ISO10646))
       code point: 0xE3
           syntax: w 	which means: word
         category: j:Japanese l:Latin v:Vietnamese
      buffer code: #xC3 #xA3
        file code: #xC3 #xA3 (encoded by coding system no-conversion)
          display: by this font (glyph code)
    uniscribe:-outline-Courier
New-normal-normal-normal-mono-13-*-*-*-c-*-iso10646-1 (#x6D)

Character code properties: customize what to show
  name: LATIN SMALL LETTER A WITH TILDE
  general-category: Ll (Letter, Lowercase)
  decomposition: (97 771) ('a' '')
  old-name: LATIN SMALL LETTER A TILDE

Does this help? Thx - Drew